package com.neusoft.smart.pos.inventory.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class InventoryGoodsApprovalOpinion implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    private Integer goodsId;
    
    private Integer approvalStatus;
    
    private String opinion;
    
    private Integer approvalType;
    
    private Integer orgId;
    
    private Integer storeId;
    
    private String requestData;
    
    private String originalData;
    
    private Date createdTime;
    
    private Integer createdBy;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getGoodsId() {
        return goodsId;
    }
    
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }
    
    public Integer getApprovalStatus() {
        return approvalStatus;
    }
    
    public void setApprovalStatus(Integer approvalStatus) {
        this.approvalStatus = approvalStatus;
    }
    
    public String getOpinion() {
        return opinion;
    }
    
    public void setOpinion(String opinion) {
        this.opinion = opinion == null ? null : opinion.trim();
    }
    
    public Integer getApprovalType() {
        return approvalType;
    }
    
    public void setApprovalType(Integer approvalType) {
        this.approvalType = approvalType;
    }
    
    public Integer getOrgId() {
        return orgId;
    }
    
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
    
    public Integer getStoreId() {
        return storeId;
    }
    
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }
    
    public String getRequestData() {
        return requestData;
    }
    
    public void setRequestData(String requestData) {
        this.requestData = requestData == null ? null : requestData.trim();
    }
    
    public String getOriginalData() {
        return originalData;
    }
    
    public void setOriginalData(String originalData) {
        this.originalData = originalData == null ? null : originalData.trim();
    }
    
    public Date getCreatedTime() {
        return createdTime;
    }
    
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
    
    public Integer getCreatedBy() {
        return createdBy;
    }
    
    public void setCreatedBy(Integer createdBy) {
        this.createdBy = createdBy;
    }
}